function contre_exemple_holomorphe(theta)

% contre exemple de fonction holomporhe et transformation non conforme
% Inspir de
% \programmes\matlab\enseignement\Polytech\2013_2014\OMI3\TP\documents_TP\complexe\deformation_locale
% 2013 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

z=0;
h=1;
n=1000;
%theta=pi/4;
T=linspace(0,h,n);
s1=z-h/2-i*h/2;
s2=z+h/2-i*h/2;
s3=z+h/2+i*h/2;
s4=z-h/2+i*h/2;
Z=[s1+T,s2+i*T,s3-T,s4-i*T];
Zb=z-i*h/2+i*T;
Zc=z-h/2+T;
fz=didi(z,theta);
FZ=didi(Z,theta);
FZb=didi(Zb,theta);
FZc=didi(Zc,theta);
clf;
hold on;
axis equal;
plot([Z-z,Zb-z]+fz,'g');
plot(real(FZ),imag(FZ),'b');
legend('Carr initial','Dformation',1);
plot(real(Zc-z+fz),imag(Zc-z+fz),'g');
plot(real(FZb),imag(FZb),'b');
plot(real(FZc),imag(FZc),'b');
hold off;

function res=didi(z,theta)
x=real(z);
y=imag(z);
res=x+y*exp(i*theta);


